Source: libmoosex-app-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: gregor herrmann <gregoa@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: libconfig-any-perl <!nocheck>,
                     libfile-homedir-perl <!nocheck>,
                     libio-interactive-perl <!nocheck>,
                     libmodule-pluggable-perl <!nocheck>,
                     libmoose-perl <!nocheck>,
                     libnamespace-autoclean-perl <!nocheck>,
                     libpod-elemental-perl <!nocheck>,
                     libterm-readkey-perl <!nocheck>,
                     libtest-most-perl <!nocheck>,
                     libtest-nowarnings-perl <!nocheck>,
                     libtext-wagnerfischer-perl <!nocheck>,
                     perl
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libmoosex-app-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libmoosex-app-perl.git
Homepage: https://metacpan.org/release/MooseX-App
Rules-Requires-Root: no

Package: libmoosex-app-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libconfig-any-perl,
         libmodule-pluggable-perl,
         libmoose-perl,
         libnamespace-autoclean-perl,
         libpod-elemental-perl
Recommends: libfile-homedir-perl,
            libio-interactive-perl,
            libterm-readkey-perl,
            libtext-wagnerfischer-perl
Description: helper for user-friendly Perl/Moose command line apps
 MooseX::App is a highly customizeable helper to write user-friendly command
 line applications without having to worry about most of the annoying things
 usually involved. Just take any existing Moose class, add a single line
 (use MooseX-App qw(PluginA PluginB ...);) and create one class for each
 command in an underlying namespace.
